Bug 1311402 - Icon for show applications is missing
Icon for show applications is missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: adwaita-icon-theme (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F24FinalBlocker
  Show dependency treegraph
 
Reported: 2016-02-24 02:46 EST by Petr Schindler
Modified: 2016-03-04 08:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-04 08:02:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
missing icon for "show applications" in overview (57.30 KB, image/png)
2016-02-24 02:46 EST, Petr Schindler
no flags Details
Icon is still there and can be clicked on (147.20 KB, image/png)
2016-02-24 02:47 EST, Petr Schindler
no flags Details
Screenshot of GNOME shell panel using Adwaita icon theme 3.19.90 (1.31 MB, image/png)
2016-02-26 13:57 EST, Joachim Frieben
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 762583 None None None 2016-02-24 02:46 EST

  None (edit)
Description Petr Schindler 2016-02-24 02:46:36 EST
Created attachment 1130075 [details]
missing icon for "show applications" in overview

Description of problem:
After update to gnome-shell-3.19.90-1.fc24.x86_64 the icon for "show application" is missing in overview. When you look on attached pictures you will see that there is now icon for "show applications" visible. On the second picture you can see, that the button is still there and it is usable.

Shadow icon which you can see on both picture is another bug (probably), it is non-existent icon for running application.

Version-Release number of selected component (if applicable):
gnome-shell-3.19.90-1.fc24.x86_64

Additional info:
I propose this bug as final blocker as it violates the criterion: "All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in typical use."

Invisible icon means that lot of users (mostly new comers) will have really hard time finding the way to show all applications. You have to know, that it really is there or you can find out accidentally.
Comment 1 Petr Schindler 2016-02-24 02:47 EST
Created attachment 1130076 [details]
Icon is still there and can be clicked on
Comment 2 Petr Schindler 2016-02-24 07:17:59 EST
In Gnome bugzilla they suggested to update to adwaita-icon-theme 3.19.90. But there is only adwaita-icon-theme-3.18.0-2.fc24.noarch in Fedora right now. So I guess that building new version would solve this issue.
Comment 3 Joachim Frieben 2016-02-26 13:57 EST
Created attachment 1130891 [details]
Screenshot of GNOME shell panel using Adwaita icon theme 3.19.90

Extracting folder Adwaita from ftp://ftp.gnome.org/pub/gnome/sources/adwaita-icon-theme/3.19/adwaita-icon-theme-3.19.90.tar.xz and moving it into folder $HOME/.icons produces the attached appearance of the GNOME shell panel in Fedora 24. The recent disappearance of the "Show Applications" icon was a bug and -not- a feature.
Comment 4 Stephen Gallagher 2016-02-29 10:58:57 EST
+1 blocker

This clearly violates the above criterion and would be very confusing for users.
Comment 5 Petr Schindler 2016-02-29 13:46:34 EST
Discussed at 2016-02-29 blocker review meeting: [1]. 

This bug was accepted as Final blocker: clearly violates "All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in typical use."

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2016-02-29/f24-blocker-review.2016-02-29-17.00.html
Comment 6 Florian Müllner 2016-03-04 07:29:38 EST
(In reply to Petr Schindler from comment #2)
> In Gnome bugzilla they suggested to update to adwaita-icon-theme 3.19.90.
> But there is only adwaita-icon-theme-3.18.0-2.fc24.noarch in Fedora right
> now.

That is the bug that needs to be fixed. Reassigning to adwaita-icon-theme.
Comment 7 Kalev Lember 2016-03-04 08:02:28 EST
(In reply to Florian Müllner from comment #6)
> (In reply to Petr Schindler from comment #2)
> > In Gnome bugzilla they suggested to update to adwaita-icon-theme 3.19.90.
> > But there is only adwaita-icon-theme-3.18.0-2.fc24.noarch in Fedora right
> > now.
> 
> That is the bug that needs to be fixed. Reassigning to adwaita-icon-theme.

It's built as of yesterday.

Note You need to log in before you can comment on or make changes to this bug.